## lesstif2 0.95.0-2.1

=== debian/changelog ===
lesstif2 (1:0.95.0-2.1) unstable; urgency=low

  * Non-maintainer upload per "everlasting BSP" rules.
  * debian/patches/020_render_table_crash.diff:
    + New patch.  Fix for a crash in _XmRenderTableFinaliseTag affecting
      many Vibrant-based applications.  (Closes: #439186.)

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 25 Sep 2007 14:50:26 -0400

lesstif2 (1:0.95.0-2) unstable; urgency=low

  * debian/patches/022_gcc42_compliant_headers.diff:
    + Revert that patch. extern "C" is the proper way to go, it's libxt-dev
      that needs fixing (Reopens: #377230, #377100).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu, 17 May 2007 13:23:41 +0200

lesstif2 (1:0.95.0-1) unstable; urgency=low

  * New upstream release.

  * debian/control: 
    + Added Vcs control fields.
    + Build-depend on debhelper (>= 5.0).

  * debian/patches/010_rebootstrap.diff
    debian/patches/020_xpmpipethrough.diff:
    + Refreshed patches.

  * debian/patches/020_upstream.diff:
    + Patch is included in this release. Removed it.

  * debian/patches/021_xim_chained_list_crash.diff:
    + New patch. Fix for a crash in the XIM chained list, courtesy of Julien
      Soula (Closes: #416538).

  * debian/patches/022_gcc42_compliant_headers.diff:
    + New patch. Make exported headers gcc-4.2 complian, courtesy of Martin
      Michlmayr (Closes: #377230, #377100).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed, 16 May 2007 01:39:17 +0200

lesstif2 (1:0.94.4-2) unstable; urgency=high

  * Maintainer upload.
  * Acknowledge previous NMU (Closes: #339864). Thanks to Luk Claes.
  * Switch patch management to quilt.
  * debian/control:
    + Set policy to 3.7.2.
    + Build-depend on quilt.
  * debian/rules:
    + Stop shipping .la files.
    + No longer copy the whole source directory upon build.

  * debian/patches/000_bootstrap_script.diff:
    + New patch -- add a proper bootstrap script.

  * debian/patches/000_libtool_linking.diff:
    + New patch from old diff.gz -- fix library linking.

  * debian/patches/010_rebootstrap.diff:
    + New patch from old diff.gz -- rebootstrap package.

  * debian/patches/020_bad_integer_cast.diff:
    + New patch from old diff.gz -- cast pointers to uintptr_t instead of
      unsigned int.

  * debian/patches/020_missing_xm_h.diff:
    + New patch from old diff.gz -- build fix due to missing <Xm/Xm.h>.

  * debian/patches/020_unsigned_int.diff:
    + New patch from old diff.gz -- fix overflows in the XPM loaders
      (CAN-2005-0605).

  * debian/patches/020_upstream.diff:
    + New patch from old diff.gz -- various patches from upstream.

  * debian/patches/020_xpmpipethrough.diff:
    + New patch from old diff.gz -- backport fixes from X11R6.8.2
      (CAN-2004-0914).

  * debian/patches/020_yow.diff:
    + Remove useless verbosity to stderr (Closes: #360073).

  * debian/patches/030_manpage.diff:
    + New patch from old diff.gz -- fix file paths in manpage.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 26 May 2006 22:13:34 +0200

lesstif2 (1:0.94.4-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Fix FTBFS by including Xm.h header (Closes: #339864).

 -- Luk Claes <luk@debian.org>  Wed, 25 Jan 2006 19:30:29 +0100

lesstif2 (1:0.94.4-1) unstable; urgency=low

  * Upstream dropped support for lesstif1. Changing source package to
    lesstif2 and continuing the lesstif1 package separately.
  * debian/rules:
    + Disabled lesstif1 support.
    + Use --enable-production to disable debug messages.
  * debian/control:
    + Set policy to 3.6.2.1.
    + Build-depend on debhelper >= 4.0.
    + No longer build-depend on autoconf, automake and libtool.
  * debian/lesstif-bin.conffiles:
    + Deleted this file. All conffiles are already in /etc.
  * Rebootstrapped "." and "test".

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 11 Nov 2005 16:07:34 +0100

lesstif1-1 (1:0.93.94-11.4) unstable; urgency=high

  * NMU.
  * lib/Xm/LTXpm.c, lib/Xm-2.1/XpmRdFToI.c, lib/Xm-2.1/XpmWrFFrI.c:
    Backport additional fixes from X11R6.8.2, reverting regressions in
    functionality caused by overly aggressive filename checks (#286164)
    and non-working popen code (#308783).
  * lib/Xm/LTXpm.c (_LtXpmCreateImageFromXpmImage): Remove duplicate
    check left over from the CAN-2004-0688 fix.
  * lib/Xm/LTXpm.c (ParsePixels): Placate gcc by undefining FREE_CIDX
    before redefining it.

 -- Matej Vela <vela@debian.org>  Thu, 12 May 2005 09:44:02 +0200

lesstif1-1 (1:0.93.94-11.3) unstable; urgency=high

  * NMU.
  * lib/Xm/LTXpm.c: Backport previous security fixes to lesstif1
    (CAN-2004-0914, CAN-2005-0605).  Thanks to Kimmo Jukarainen for
    doing the bulk of the work!  Closes: #294099.  
  * lib/Xm-2.1/RCUtils.c: Apply upstream fix for label positioning in
    menus.  Closes: #279402.

 -- Matej Vela <vela@debian.org>  Wed, 11 May 2005 00:29:04 +0200

lesstif1-1 (1:0.93.94-11.2) unstable; urgency=HIGH

  * Merged security fixes from Ubuntu:
  .
  * SECURITY UDPATE: Fix multiple Xpm vulnerabilities.
  * lib/Xm-2.1/Xpm.c: Split into several files (as upstream did for easier
    patching), applied fixes pulled from new upstream version. Fixes part of
    #294099 (CAN-2004-0914)
  * lib/Xm-2.1/Xpmcreate.c, lib/Xm-2.1/Xpmscan.c: Re-applied the fix for
    CAN-2005-0605

 -- Joey Hess <joeyh@debian.org>  Thu, 10 Mar 2005 19:15:21 -0500

lesstif1-1 (1:0.93.94-11.1) unstable; urgency=HIGH

  * NMU
  * Apply fix for newest libXpm buffer overflows in lesstif1, involving a
    negative bitmap_unit value. Fixed both lesstif1 and lesstif2.
    Closes: #298939 (CAN-2005-0605)

 -- Joey Hess <joeyh@debian.org>  Thu, 10 Mar 2005 16:34:21 -0500
  

lesstif1-1 (1:0.93.94-11) unstable; urgency=low

  * Mention CAN-2004-0688 in the 1:0.93.94-9 changelog.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed, 29 Sep 2004 13:17:38 +0200

lesstif1-1 (1:0.93.94-10) unstable; urgency=high

  * lib/Xm: fixed the XPM vulnerability backport (Closes: #274015).


