=== debian/control ===
Source: lesstif2
Maintainer: Sam Hocevar (Debian packages) <sam+deb@zoy.org>
Uploaders: Thomas Maass <inyourface@gmx.de>
Standards-Version: 3.7.2
Section: libs
Priority: optional
Build-Depends: debhelper (>= 5.0), quilt, bison, flex, libice-dev, libsm-dev, libx11-dev, libxext-dev, libxp-dev, libxt-dev, libxrender-dev, libxft-dev, libfontconfig1-dev, libfreetype6-dev
XS-Vcs-Svn: svn://svn.debian.org/svn/sam-hocevar/pkg-lesstif/unstable/lesstif2
XS-Vcs-Browser: http://svn.debian.org/wsvn/sam-hocevar/pkg-lesstif/unstable/lesstif2/

Package: lesstif2
Section: libs
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: libmotif
Replaces: libmotif
Description: OSF/Motif 2.1 implementation released under LGPL
 Contains runtime shared libraries for LessTif, the Hungry Programmers'
 version of OSF/Motif 2.1.
 .
 Contains runtime shared libraries for libXm and libMrm.

Package: lesstif2-dev
Section: libdevel
Priority: optional
Architecture: any
Depends: lesstif2, libice-dev, libsm-dev, libx11-dev, libxext-dev, libxp-dev, libxt-dev, libxrender-dev, libxft-dev, libfontconfig1-dev, libfreetype6-dev
Replaces: lesstifg-dbg (<< 1:0.88.1-1), lesstifg-dev, lesstif-dev, libmotif-dev
Conflicts: lesstifg-dev, lesstif-dev, libmotif-dev
Description: development library and header files for LessTif 2.1
 Contains C header files and development shared libraries libraries for
 LessTif. LessTif, made by the Hungry Programmers, is a free (LGPL-ed)
 version of OSF/Motif; it aims ultimately at binary compatibility with Motif
 2.1.
 .
 Contains static libraries and header files for libXm and libMrm.

Package: lesstif-bin
Section: x11
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}
Provides: x-window-manager
Description: user binaries for LessTif
 Contains the LessTif user binaries. LessTif is the Hungry Programmers'
 version of the OSF/Motif graphical toolkit, including a clone of mwm, the
 Motif Window Manager.

Package: lesstif-doc
Section: doc
Priority: optional
Architecture: all
Replaces: lesstifg (<< 1:0.89.0-1)
Description: documentation for LessTif
 Contains the LessTif documentation. LessTif is the Hungry Programmers'
 version of the OSF/Motif graphical toolkit, including a clone of mwm, the
 Motif Window Manager.
